Assign an Add-on installation to the Number specified.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to assign the Add-on.
InstalledAddOnSid
string
Yes
—
The SID that identifies the Add-on installation.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to assign the Add-on." }, "InstalledAddOnSid": { "type": "string", "description": "The SID that identifies the Add-on installation." } }, "required": [ "PCID", "ResourceSid", "InstalledAddOnSid" ]}
Remove the assignment of an Add-on installation from the Number specified.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to which the Add-on is assigned.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the resource to delete.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to which the Add-on is assigned." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the resource to delete." } }, "required": [ "PCID", "ResourceSid", "Sid" ]}
Delete a result and purge all associated PayloadsParameters:
Parameter
Type
Required
Default
Description
ReferenceSid
string
Yes
—
The SID of the recording to which the result to delete belongs.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to delete.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the result to delete belongs." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to delete." } }, "required": [ "PCID", "ReferenceSid", "Sid" ]}
Delete a payload from the result along with all associated DataParameters:
Parameter
Type
Required
Default
Description
ReferenceSid
string
Yes
—
The SID of the recording to which the AddOnResult resource that contains the payloads to delete belongs.
AddOnResultSid
string
Yes
—
The SID of the AddOnResult to which the payloads to delete belongs.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to delete.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the AddOnResult resource that contains the payloads to delete belongs." }, "AddOnResultSid": { "type": "string", "description": "The SID of the AddOnResult to which the payloads to delete belongs." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to delete." } }, "required": [ "PCID", "ReferenceSid", "AddOnResultSid", "Sid" ]}
The SID of the Recording that created the transcription to delete.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Transcription resource to delete.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "RecordingSid": { "type": "string", "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to delete." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Transcription resource to delete." } }, "required": [ "PCID", "RecordingSid", "Sid" ]}
Fetch an instance of an Add-on installation currently assigned to this Number.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to which the Add-on is assigned.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to which the Add-on is assigned." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the resource to fetch." } }, "required": [ "PCID", "ResourceSid", "Sid" ]}
Fetch an instance of an Extension for the Assigned Add-on.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to which the Add-on is assigned.
AssignedAddOnSid
string
Yes
—
The SID that uniquely identifies the assigned Add-on installation.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to which the Add-on is assigned." }, "AssignedAddOnSid": { "type": "string", "description": "The SID that uniquely identifies the assigned Add-on installation." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the resource to fetch." } }, "required": [ "PCID", "ResourceSid", "AssignedAddOnSid", "Sid" ]}
The Twilio-provided string that uniquely identifies the Recording resource to fetch.
IncludeSoftDeleted
boolean
No
—
A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording resource to fetch." }, "IncludeSoftDeleted": { "type": "boolean", "description": "A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days." } }, "required": [ "PCID", "Sid" ]}
The SID of the recording to which the result to fetch belongs.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the result to fetch belongs." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to fetch." } }, "required": [ "PCID", "ReferenceSid", "Sid" ]}
The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.
AddOnResultSid
string
Yes
—
The SID of the AddOnResult to which the payload to fetch belongs.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs." }, "AddOnResultSid": { "type": "string", "description": "The SID of the AddOnResult to which the payload to fetch belongs." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch." } }, "required": [ "PCID", "ReferenceSid", "AddOnResultSid", "Sid" ]}
The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.
AddOnResultSid
string
Yes
—
The SID of the AddOnResult to which the payload to fetch belongs.
PayloadSid
string
Yes
—
The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs." }, "AddOnResultSid": { "type": "string", "description": "The SID of the AddOnResult to which the payload to fetch belongs." }, "PayloadSid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch." } }, "required": [ "PCID", "ReferenceSid", "AddOnResultSid", "PayloadSid" ]}
GET /Recordings/{RecordingSid}/Transcriptions/{Sid}.jsonParameters:
Parameter
Type
Required
Default
Description
RecordingSid
string
Yes
—
The SID of the Recording that created the transcription to fetch.
Sid
string
Yes
—
The Twilio-provided string that uniquely identifies the Transcription resource to fetch.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "RecordingSid": { "type": "string", "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to fetch." }, "Sid": { "type": "string", "description": "The Twilio-provided string that uniquely identifies the Transcription resource to fetch." } }, "required": [ "PCID", "RecordingSid", "Sid" ]}
Retrieve a list of Add-on installations currently assigned to this Number.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to which the Add-on is assigned.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to which the Add-on is assigned." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID", "ResourceSid" ]}
Retrieve a list of Extensions for the Assigned Add-on.Parameters:
Parameter
Type
Required
Default
Description
ResourceSid
string
Yes
—
The SID of the Phone Number to which the Add-on is assigned.
AssignedAddOnSid
string
Yes
—
The SID that uniquely identifies the assigned Add-on installation.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ResourceSid": { "type": "string", "description": "The SID of the Phone Number to which the Add-on is assigned." }, "AssignedAddOnSid": { "type": "string", "description": "The SID that uniquely identifies the assigned Add-on installation." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID", "ResourceSid", "AssignedAddOnSid" ]}
Retrieve a list of recordings belonging to the account used to make the requestParameters:
Parameter
Type
Required
Default
Description
DateCreated
string
No
—
Only include recordings that were created on this date. Specify a date as YYYY-MM-DD in GMT, for example: 2009-07-06, to read recordings that were created on this date. You can also specify an inequality, such as DateCreated<=YYYY-MM-DD, to read recordings that were created on or before midnight of this date, and DateCreated>=YYYY-MM-DD to read recordings that were created on or after midnight of this date.
DateCreated<
string
No
—
Only include recordings that were created on this date. Specify a date as YYYY-MM-DD in GMT, for example: 2009-07-06, to read recordings that were created on this date. You can also specify an inequality, such as DateCreated<=YYYY-MM-DD, to read recordings that were created on or before midnight of this date, and DateCreated>=YYYY-MM-DD to read recordings that were created on or after midnight of this date.
DateCreated>
string
No
—
Only include recordings that were created on this date. Specify a date as YYYY-MM-DD in GMT, for example: 2009-07-06, to read recordings that were created on this date. You can also specify an inequality, such as DateCreated<=YYYY-MM-DD, to read recordings that were created on or before midnight of this date, and DateCreated>=YYYY-MM-DD to read recordings that were created on or after midnight of this date.
The Conference SID that identifies the conference associated with the recording to read.
IncludeSoftDeleted
boolean
No
—
A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "DateCreated": { "type": "string", "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date." }, "DateCreated<": { "type": "string", "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date." }, "DateCreated>": { "type": "string", "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date." }, "CallSid": { "type": "string", "description": "The [Call](https://www.twilio.com/docs/voice/api/call-resource) SID of the resources to read." }, "ConferenceSid": { "type": "string", "description": "The Conference SID that identifies the conference associated with the recording to read." }, "IncludeSoftDeleted": { "type": "boolean", "description": "A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
Retrieve a list of results belonging to the recordingParameters:
Parameter
Type
Required
Default
Description
ReferenceSid
string
Yes
—
The SID of the recording to which the result to read belongs.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the result to read belongs." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID", "ReferenceSid" ]}
Retrieve a list of payloads belonging to the AddOnResultParameters:
Parameter
Type
Required
Default
Description
ReferenceSid
string
Yes
—
The SID of the recording to which the AddOnResult resource that contains the payloads to read belongs.
AddOnResultSid
string
Yes
—
The SID of the AddOnResult to which the payloads to read belongs.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ReferenceSid": { "type": "string", "description": "The SID of the recording to which the AddOnResult resource that contains the payloads to read belongs." }, "AddOnResultSid": { "type": "string", "description": "The SID of the AddOnResult to which the payloads to read belongs." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID", "ReferenceSid", "AddOnResultSid" ]}
GET /Recordings/{RecordingSid}/Transcriptions.jsonParameters:
Parameter
Type
Required
Default
Description
RecordingSid
string
Yes
—
The SID of the Recording that created the transcriptions to read.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "RecordingSid": { "type": "string", "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcriptions to read." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID", "RecordingSid" ]}
Retrieve a list of transcriptions belonging to the account used to make the requestParameters:
Parameter
Type
Required
Default
Description
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}
The usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDate
string
No
—
Only include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDate
string
No
—
Only include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccounts
boolean
No
—
Whether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSize
integer
No
—
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Page
integer
No
—
The page index. This value is simply for client state.
PageToken
string
No
—
The page token. This is provided by the API.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "Category": { "type": "string", "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved." }, "StartDate": { "type": "string", "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date." }, "EndDate": { "type": "string", "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date." }, "IncludeSubaccounts": { "type": "boolean", "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account." }, "PageSize": { "type": "integer", "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000." }, "Page": { "type": "integer", "description": "The page index. This value is simply for client state." }, "PageToken": { "type": "string", "description": "The page token. This is provided by the API." } }, "required": [ "PCID" ]}